package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.core.domain.entity.Unit;
import com.ruoyi.common.core.domain.request.UnitRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 单位信息（unit_info）表数据层
 * @author du
 * @since 2024/11/13 15:04
 */
public interface UnitMapper extends BaseMapper<Unit> {

    /**
     * 根据条件查询所有单位列表
     *
     * @param a 用户信息
     * @return 用户信息集合信息
     */
    List<Unit> selectUnitList(@Param("req") UnitRequest a);

    /**
     * 根据信用代码批量逻辑删除
     */
    void deleteInCode(List<String> code);
}
