package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.entity.Unit;
import com.ruoyi.common.core.domain.request.UnitRequest;
import com.ruoyi.system.mapper.UnitMapper;
import com.ruoyi.system.service.UnitService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 单位信息（unit_info）表业务处理层
 * @author du
 * @since 2024/11/13 15:02
 */
@Service
public class UnitServiceImpl extends ServiceImpl<UnitMapper, Unit> implements UnitService {


    /**
     * 根据条件查询所有单位列表
     *
     * @param unit 用户信息
     * @return 用户信息集合信息
     */
    @Override
    public List<Unit> selectUnitList(UnitRequest unit) {
        return baseMapper.selectUnitList(unit);
    }

    /**
     * 根据信用代码批量逻辑删除
     */
    @Override
    public void deleteInCode(List<String> code) {
         baseMapper.deleteInCode(code);
    }
}
